### Method

# Jsonrpc Client close_async

since: 3.26

#### Declaration [src]

    void
    jsonrpc_client_close_async (
      JsonrpcClient* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronous version of `jsonrpc_client_close()`.

Currently this operation is implemented synchronously, but in the future may be converted to using asynchronous operations.

Available since: 3.26

#### Parameters

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.